Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRectilinearGridReader Class Reference

`#include <vtkRectilinearGridReader.h>`

Inheritance diagram for vtkRectilinearGridReader:

[legend]
Collaboration diagram for vtkRectilinearGridReader:

[legend]
List of all members.

## Detailed Description

read vtk rectilinear grid data file

Date:
  2002/05/31 23:12:41

Revision:
  1.31

vtkRectilinearGridReader is a source object that reads ASCII or binary rectilinear grid data files in vtk format (see text for format details). The output of this reader is a single vtkRectilinearGrid data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

Warning:
  Binary files written on one system may not be readable on other systems.

See also:
  vtkRectilinearGrid vtkDataReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (68%)
  - Law, Charles (10%)
  - Lorensen, Bill (6%)
  - Kelly, Ann (5%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkRectilinearGridReader.h)`
  - .`cxx` (`/IO/vtkRectilinearGridReader.cxx)`

Tests:
  vtkRectilinearGridReader (Tests)

Definition at line 58 of file vtkRectilinearGridReader.h.

## Public Types
typedef vtkDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkRectilinearGrid * | GetOutput ()
vtkRectilinearGrid * | GetOutput (int idx)
void | SetOutput (vtkRectilinearGrid *output)
## Static Public Methods
vtkRectilinearGridReader * | New ()
int | IsTypeOf (const char *type)
vtkRectilinearGridReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRectilinearGridReader ()
| ~vtkRectilinearGridReader ()
void | Execute ()
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkDataReader vtkRectilinearGridReader::Superclass

| Reimplemented from vtkDataReader. Definition at line 62 of file vtkRectilinearGridReader.h.

## Constructor & Destructor Documentation

vtkRectilinearGridReader::vtkRectilinearGridReader | ( |  | ) | `[protected]`

vtkRectilinearGridReader::~vtkRectilinearGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkRectilinearGridReader* vtkRectilinearGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataReader.

virtual const char* vtkRectilinearGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataReader.

int vtkRectilinearGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

virtual int vtkRectilinearGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

vtkRectilinearGridReader* vtkRectilinearGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataReader.

void vtkRectilinearGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataReader.

vtkRectilinearGrid* vtkRectilinearGridReader::GetOutput | ( |  | ) |

| Get and set the output of this reader.

vtkRectilinearGrid* vtkRectilinearGridReader::GetOutput | ( | int | idx | ) | `[inline]`

| Get and set the output of this reader. Reimplemented from vtkSource. Definition at line 68 of file vtkRectilinearGridReader.h. References vtkSource::GetOutput().

void vtkRectilinearGridReader::SetOutput | ( | vtkRectilinearGrid * | output | ) |

| Get and set the output of this reader.

void vtkRectilinearGridReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkRectilinearGridReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- IO/vtkRectilinearGridReader.h